<?php
/**
 * File: class.semmelstatzR.php
 *
 * @package     SemmelstatzR
 * @version     $Rev$
 * @since       1.0.0 Beta
 * @author      SEM-Team
 * @copyright   (c)2011 SEM-Team
 * @link        http://sourceforge.net/projects/semmelstatz/
 * @license     http://www.gnu.org/licenses/gpl-3.0.html
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.  
 *
 * $Id$
 * 
 */

/**
 * 
 */
class semmelstatzR {
    
    protected $_oDb;


    /**
     *
     * @global type $wpdb 
     */
    public function __construct() {
        $this->_initDb();
    }
    
    /* public */
    
    
    /* protected */
    
    
    /* private */
    
    /**
     *
     * @global wpdb $wpdb
     * @return boolean 
     */
    private function _initDb() {
        global $wpdb;
        
        if($this->_oDb instanceof $wpdb) {
            return true;
        } else if($wpdb instanceof wpdb) {
            $this->_oDb = $wpdb;
            return true;
        } else {
            return false;
        }
    }
}
?>